﻿/// <binding ProjectOpened='watch' />
/*
This file in the main entry point for defining grunt tasks and using grunt plugins.
Click here to learn more. http://go.microsoft.com/fwlink/?LinkID=513275&clcid=0x409
*/
module.exports = function (grunt) {
    grunt.initConfig({
            
        //Watch
        watch: {
            files: ["TypeScript/*.js"],
            tasks: ["all"]
        },

        //Clean
        clean: ["wwwroot/lib/*", "temp/"],

        //Concat file
        concat: {
            all: {
                src: ['TypeScript/Tastes.js', 'TypeScript/Food.js'],
                dest: 'temp/combined.js'
            }
        },

        //Check js file
        jshint: {
            files: ['temp/*.js'],
            options: {
                '-W069': false,
            }
        },

        //Minify
        uglify: {
            all: {
                src: ['temp/combined.js'],
                dest: 'wwwroot/lib/combined.min.js'
            }
        },

        

    });

    //Enable Task Runnable in Visual Studio
    grunt.loadNpmTasks("grunt-contrib-clean");
    grunt.loadNpmTasks('grunt-contrib-jshint');
    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.loadNpmTasks('grunt-contrib-uglify');

    //Watch
    grunt.loadNpmTasks('grunt-contrib-watch');

    //All task
    grunt.registerTask("all", ['clean', 'concat', 'jshint', 'uglify']);

};